List Orders for Merchant

Retrieve a paginated list of orders for the merchant with filtering, sorting, and pagination support.

Path Params
string
required

The merchant ID

Query Params
integer | null

The maximum number of items to return

integer | null

The starting index of items to return

string
required

Filter the list of orders by attribute(s).

Exact match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by. You can use commas (,) to separate multiple values for the same attribute.

  • Allowed attributes: id, currency, status, customer.id

  • Example: ?filter[status]=PAST_DUE

  • Example (multiple values): ?filter[status]=PAST_DUE,PAID

  • Example (null status): ?filter[status]=null (returns orders with no status set)

Partial match:

Include the attribute name in the brackets followed by an equal sign and the value you want to filter by.

  • Allowed attributes: description, customer.email, customer.firstName, customer.lastName, customer.phone

  • Example: ?filter[customer.email][email protected] (returns all customer emails containing @example.com)

  • Example: ?filter[description]=invoice (returns all orders with descriptions containing invoice)

Dynamic operators:

Follow the "=" with a comparison operator and the value you want to filter by.

  • Available operators: =, !=, <, <=, >, >=.

  • Allowed attributes: amount, createdAt, updatedAt, dueDate

  • Example (greater than or equal to): ?filter[amount]=>=500

  • Example (less than): ?filter[createdAt]=<2025-05-29T00:00:00Z

  • Example (due date filter): ?filter[dueDate]=>=2025-06-01

Scopes:

Filter by specific conditions defined in the model.

  • Allowed scopes: createdBetween, updatedBetween, type, pastDue

  • Example: ?filter[createdBetween]=2025-05-29,2025-05-30

  • Example: ?filter[type]=SUBSCRIPTION (filter by order type: UNSCHEDULED, SUBSCRIPTION, or PAYMENT_PLAN)

  • Example: ?filter[pastDue]=true (to filter orders that are past due)

string
required

Sort the list by attribute(s). Use - prefix for descending order.

  • Allowed attributes: amount, createdAt, updatedAt, dueDate

  • Example (ascending order): ?sort=createdAt

  • Example (descending order): ?sort=-amount

string

The timezone to use for date filtering. Defaults to 'UTC'. Supports timezone identifiers (e.g., America/Phoenix, America/Los_Angeles) and abbreviations (e.g., MST, MDT, PST, PDT). Examples: ?timezone=America/Phoenix or ?timezone=MST

Headers
string
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json